%define name iso-codes
%define version 1.0
%define release %mkrel 2
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif

Summary: Mapping between ISO country codes and full names
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.debian.org/debian/pool/main/i/iso-codes/%{name}_%{version}.orig.tar.bz2
Source1: http://www.iro.umontreal.ca/translation/teams/PO/nl/iso_639-1.0.nl.po
License: GPL
Group: System/Libraries
#gw FIXME outdated URL
Url: http://people.debian.org/~mckinstry/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-pyxml
BuildRequires: python
BuildArch: noarch

%description
This package aims to provide the list of the country and language (and
currency) names in one place, rather than repeated in many programs
throughout Mandriva Linux.

%prep
%setup -q
cp %SOURCE1 iso_639/nl.po

%build
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT *.lang
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang iso_639
%find_lang iso_3166
%find_lang iso_3166_2
%find_lang iso_4217
%find_lang iso_639_3
cat iso_*.lang > iso-codes.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f iso-codes.lang
%defattr(-,root,root)
%doc README ChangeLog TODO
%_datadir/xml/iso-codes/
%_datadir/iso-codes/
%pkgconfigdir/iso-codes.pc


%changelog
* Tue Mar 27 2007 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2007.1
+ Revision: 149081
- fix Dutch translation (bug #29936)

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2007.1
+ Revision: 91683
- new version

* Thu Nov 16 2006 Götz Waschk <waschk@mandriva.org> 0.58-1mdv2007.1
+ Revision: 85016
- Import iso-codes




* Thu Nov 16 2006 Gtz Waschk <waschk@mandriva.org> 0.58-1mdv2007.1
- new version

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 0.53-1mdv2007.0
- New release 0.53

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 0.52-1mdv2007.0
- fix build
- New release 0.52

* Wed Apr 26 2006 Götz Waschk <waschk@mandriva.org> 0.51-1mdk
- New release 0.51

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 0.50-1mdk
- use Debian's source tarball
- new version

* Wed Nov 02 2005 Götz Waschk <waschk@mandriva.org> 0.49-1mdk
- New release 0.49

* Wed Aug 24 2005 Götz Waschk <waschk@mandriva.org> 0.47-1mdk
- New release 0.47

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 0.46-3mdk
- fix pkgconfig file location

* Tue Apr 12 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.46-2mdk
- fix buildrequires

* Tue Apr 12 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.46-1mdk
- initial package
